Attributes and Cntls(3)

NAME
Attributes and Cntls -

  Enumerations

enum globus_xio_gsi_cmd_t { GLOBUS_XIO_GSI_SET_CREDENTIAL, GLOBUS_XIO_GSI_GET_CREDENTIAL, GLOBUS_XIO_GSI_SET_GSSAPI_REQ_FLAGS, GLOBUS_XIO_GSI_GET_GSSAPI_REQ_FLAGS, GLOBUS_XIO_GSI_SET_PROXY_MODE, GLOBUS_XIO_GSI_GET_PROXY_MODE, GLOBUS_XIO_GSI_SET_AUTHORIZATION_MODE, GLOBUS_XIO_GSI_GET_AUTHORIZATION_MODE, GLOBUS_XIO_GSI_SET_DELEGATION_MODE, GLOBUS_XIO_GSI_GET_DELEGATION_MODE, GLOBUS_XIO_GSI_SET_SSL_COMPATIBLE, GLOBUS_XIO_GSI_SET_ANON, GLOBUS_XIO_GSI_SET_WRAP_MODE, GLOBUS_XIO_GSI_GET_WRAP_MODE, GLOBUS_XIO_GSI_SET_BUFFER_SIZE, GLOBUS_XIO_GSI_GET_BUFFER_SIZE, GLOBUS_XIO_GSI_SET_PROTECTION_LEVEL, GLOBUS_XIO_GSI_GET_PROTECTION_LEVEL, GLOBUS_XIO_GSI_GET_TARGET_NAME, GLOBUS_XIO_GSI_SET_TARGET_NAME, GLOBUS_XIO_GSI_GET_CONTEXT, GLOBUS_XIO_GSI_GET_DELEGATED_CRED, GLOBUS_XIO_GSI_GET_PEER_NAME, GLOBUS_XIO_GSI_GET_LOCAL_NAME, GLOBUS_XIO_GSI_INIT_DELEGATION, GLOBUS_XIO_GSI_REGISTER_INIT_DELEGATION, GLOBUS_XIO_GSI_ACCEPT_DELEGATION, GLOBUS_XIO_GSI_REGISTER_ACCEPT_DELEGATION, GLOBUS_XIO_GSI_FORCE_SERVER_MODE, GLOBUS_XIO_GSI_SET_ALLOW_MISSING_SIGNING_POLICY, GLOBUS_XIO_GSI_GET_ALLOW_MISSING_SIGNING_POLICY }

  Functions

globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_CREDENTIAL, gss_cred_id_t credential)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_SET_CREDENTIAL, gss_cred_id_t credential)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_CREDENTIAL, gss_cred_id_t *credential)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_GET_CREDENTIAL, gss_cred_id_t *credential)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_GSSAPI_REQ_FLAGS, OM_uint32 req_flags)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_GSSAPI_REQ_FLAGS, OM_uint32 *req_flags)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_PROXY_MODE, globus_xio_gsi_proxy_mode_t proxy_mode)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_PROXY_MODE, globus_xio_gsi_proxy_mode_t *proxy_mode)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_AUTHORIZATION_MODE, globus_xio_gsi_authorization_mode_t authz_mode)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_AUTHORIZATION_MODE, globus_xio_gsi_authorization_mode_t *authz_mode)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_DELEGATION_MODE, globus_xio_gsi_delegation_mode_t delegation_mode)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_DELEGATION_MODE, globus_xio_gsi_delegation_mode_t *delegation_mode)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_SSL_COMPATIBLE, globus_bool_t ssl_mode)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_ANON, globus_bool_t anon_mode)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_WRAP_MODE, globus_boolean_t wrap_mode)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_WRAP_MODE, globus_boolean_t *wrap_mode)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_BUFFER_SIZE, globus_size_t buffer_size)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_BUFFER_SIZE, globus_size_t *buffer_size)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_PROTECTION_LEVEL, globus_xio_gsi_protection_level_t protection_level)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_PROTECTION_LEVEL, globus_xio_gsi_protection_level_t *protection_level)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_TARGET_NAME, gss_name_t *target_name)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_TARGET_NAME, gss_name_t target_name)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_GET_CONTEXT, gss_ctx_id_t *context)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_GET_DELEGATED_CRED, gss_cred_id_t *credential)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_GET_PEER_NAME, gss_name_t *peer_name)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_GET_LOCAL_NAME, gss_name_t *local_name)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_INIT_DELEGATION, gss_cred_id_t credential, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_REGISTER_INIT_DELEGATION, gss_cred_id_t credential, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req, globus_xio_gsi_delegation_init_callback_t callback, void *callback_arg)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_ACCEPT_DELEGATION, gss_cred_id_t *credential, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_REGISTER_ACCEPT_DELEGATION, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req, globus_xio_gsi_delegation_accept_callback_t callback, void *callback_arg)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_FORCE_SERVER_MODE, globus_bool_t server_mode)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_ALLOW_MISSING_SIGNING_POLICY, globus_bool_t allow)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_ALLOW_MISSING_SIGNING_POLICY, globus_bool_t *allow)

Detailed Description

GSI driver specific attrs and cntls.

See Also:
    globus_xio_attr_cntl ()

    globus_xio_handle_cntl ()

Enumeration Type Documentation

  enum globus_xio_gsi_cmd_t

doxygen varargs filter stuff GSI driver specific cntls

Enumerator

GLOBUS_XIO_GSI_SET_CREDENTIAL
    See usage for: globus_xio_attr_cntl , globus_xio_handle_cntl .

GLOBUS_XIO_GSI_GET_CREDENTIAL
    See usage for: globus_xio_attr_cntl , globus_xio_handle_cntl .

GLOBUS_XIO_GSI_SET_GSSAPI_REQ_FLAGS
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_GET_GSSAPI_REQ_FLAGS
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_SET_PROXY_MODE
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_GET_PROXY_MODE
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_SET_AUTHORIZATION_MODE
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_GET_AUTHORIZATION_MODE
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_SET_DELEGATION_MODE
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_GET_DELEGATION_MODE
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_SET_SSL_COMPATIBLE
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_SET_ANON
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_SET_WRAP_MODE
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_GET_WRAP_MODE
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_SET_BUFFER_SIZE
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_GET_BUFFER_SIZE
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_SET_PROTECTION_LEVEL
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_GET_PROTECTION_LEVEL
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_GET_TARGET_NAME
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_SET_TARGET_NAME
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_GET_CONTEXT
    See usage for: globus_xio_handle_cntl .

GLOBUS_XIO_GSI_GET_DELEGATED_CRED
    See usage for: globus_xio_handle_cntl .

GLOBUS_XIO_GSI_GET_PEER_NAME
    See usage for: globus_xio_handle_cntl .

GLOBUS_XIO_GSI_GET_LOCAL_NAME
    See usage for: globus_xio_handle_cntl .

GLOBUS_XIO_GSI_INIT_DELEGATION
    See usage for: globus_xio_handle_cntl .

GLOBUS_XIO_GSI_REGISTER_INIT_DELEGATION
    See usage for: globus_xio_handle_cntl .

GLOBUS_XIO_GSI_ACCEPT_DELEGATION
    See usage for: globus_xio_handle_cntl .

GLOBUS_XIO_GSI_REGISTER_ACCEPT_DELEGATION
    See usage for: globus_xio_handle_cntl .

GLOBUS_XIO_GSI_FORCE_SERVER_MODE
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_SET_ALLOW_MISSING_SIGNING_POLICY
    See usage for: globus_xio_attr_cntl .

GLOBUS_XIO_GSI_GET_ALLOW_MISSING_SIGNING_POLICY
    See usage for: globus_xio_attr_cntl .

Function Documentation

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_CREDENTIAL, gss_cred_id_tcredential)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the credential to be used.

Parameters:
    credential The credential to set. The credential structure needs to remain valid for the lifetime of any xio datastructure it is used by.

Note:
    If this is called with the handle_cntl, there must be no outstanding operations on the handle.

  globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_SET_CREDENTIAL, gss_cred_id_tcredential)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the credential to be used.

Parameters:
    credential The credential to set. The credential structure needs to remain valid for the lifetime of any xio datastructure it is used by.

Note:
    If this is called with the handle_cntl, there must be no outstanding operations on the handle.

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_CREDENTIAL, gss_cred_id_t *credential)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the credential to be used.

Parameters:
    credential The credential that is currently set. This will only return a credential if a credential was explicitly set prior to this call. It will not return any credential automatically acquired during context initizalization.

  globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_GET_CREDENTIAL, gss_cred_id_t *credential)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the credential to be used.

Parameters:
    credential The credential that is currently set. This will only return a credential if a credential was explicitly set prior to this call. It will not return any credential automatically acquired during context initizalization.

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_GSSAPI_REQ_FLAGS, OM_uint32req_flags)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the GSSAPI req_flags to be used.

Parameters:
    req_flags The req_flags to set

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_GSSAPI_REQ_FLAGS, OM_uint32 *req_flags)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the GSSAPI req_flags to be used.

Parameters:
    req_flags The req flags currently in effect

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_PROXY_MODE, globus_xio_gsi_proxy_mode_tproxy_mode)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the proxy mode.

Parameters:
    proxy_mode The proxy mode to set

Note:
    Changing the proxy mode changes the req_flags

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_PROXY_MODE, globus_xio_gsi_proxy_mode_t *proxy_mode)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the proxy mode.

Parameters:
    proxy_mode The proxy mode that is currently in effect

Note:
    Changing the proxy mode changes the req_flags

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_AUTHORIZATION_MODE, globus_xio_gsi_authorization_mode_tauthz_mode)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the authorization mode.

Parameters:
    authz_mode The authorization mode to set

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_AUTHORIZATION_MODE, globus_xio_gsi_authorization_mode_t *authz_mode)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the authorization mode.

Parameters:
    authz_mode The authorization mode that is currently in effect

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_DELEGATION_MODE, globus_xio_gsi_delegation_mode_tdelegation_mode)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the delegation mode.

Parameters:
    delegation_mode The delegation mode to use

Note:
    Changing the delegation mode changes the req_flags

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_DELEGATION_MODE, globus_xio_gsi_delegation_mode_t *delegation_mode)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the delegation mode.

Parameters:
    delegation_mode The delegation mode currently in effect

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_SSL_COMPATIBLE, globus_bool_tssl_mode)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Make the on the wire protocol SSL compatible. This implies no wrapping of security tokens and no delegation

Parameters:
    ssl_mode The ssl compatibility mode to use

Note:
    Changing the ssl compatibility mode changes the req_flags

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_ANON, globus_bool_tanon_mode)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Do anonymous authentication.

Parameters:
    anon_mode The ssl compatibility mode to use

Note:
    Changing the ssl compatibility mode changes the req_flags and the wrapping mode

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_WRAP_MODE, globus_boolean_twrap_mode)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the wrapping mode

This mode determines whether tokens will be wrapped with a Globus IO style header or not.

Parameters:
    wrap_mode The wrapping mode to use

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_WRAP_MODE, globus_boolean_t *wrap_mode)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the wrapping mode

This mode determines whether tokens will be wrapped with a Globus IO style header or not.

Parameters:
    wrap_mode The wrapping mode currently in use.

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_BUFFER_SIZE, globus_size_tbuffer_size)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the read buffer size

The read buffer is used for buffering wrapped data, is initialized with a default size of 128K and scaled dynamically to always be able to fit whole tokens.

Parameters:
    buffer_size The size of the read buffer

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_BUFFER_SIZE, globus_size_t *buffer_size)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the read buffer size

The read buffer is used for buffering wrapped data, is initialized with a default size of 128K and scaled dynamically to always be able to fit whole tokens.

Parameters:
    buffer_size The size of the read buffer

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_PROTECTION_LEVEL, globus_xio_gsi_protection_level_tprotection_level)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the protection level.

Parameters:
    protection_level The protection level to set

Note:
    Changing the proxy mode changes the req_flags

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_PROTECTION_LEVEL, globus_xio_gsi_protection_level_t *protection_level)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the protection level.

Parameters:
    protection_level The current protection level

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_TARGET_NAME, gss_name_t *target_name)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the expected peer name.

Parameters:
    target_name The expected peer name

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_TARGET_NAME, gss_name_ttarget_name)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the expected peer name.

Parameters:
    target_name The expected peer name

  globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_GET_CONTEXT, gss_ctx_id_t *context)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the GSS context.

Parameters:
    context The GSS context

  globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_GET_DELEGATED_CRED, gss_cred_id_t *credential)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the delegated credential.

Parameters:
    credential The delegated credential

  globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_GET_PEER_NAME, gss_name_t *peer_name)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the name of the peer.

Parameters:
    peer_name The GSS name of the peer.

  globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_GET_LOCAL_NAME, gss_name_t *local_name)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the GSS name associated with the local credentials.

Parameters:
    local_name The GSS name of the local credentials

  globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_INIT_DELEGATION, gss_cred_id_tcredential, gss_OID_setrestriction_oids, gss_buffer_set_trestriction_buffers, OM_uint32time_req)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Initialize delegation-at-any-time process.

Parameters:
    credential The GSS credential to delegate
    restriction_oids The OIDS for X.509 extensions to embed in the delegated credential
    restriction_buffers The corresponding bodies for the X.509 extensions
    time_req The lifetime of the delegated credential

  globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_REGISTER_INIT_DELEGATION, gss_cred_id_tcredential, gss_OID_setrestriction_oids, gss_buffer_set_trestriction_buffers, OM_uint32time_req, globus_xio_gsi_delegation_init_callback_tcallback, void *callback_arg)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Initialize non-blocking delegation-at-any-time process.

Parameters:
    credential The GSS credential to delegate
    restriction_oids The OIDS for X.509 extensions to embed in the delegated credential
    restriction_buffers The corresponding bodies for the X.509 extensions
    time_req The lifetime of the delegated credential
    callback The callback to call when the operation completes
    callback_arg The arguments to pass to the callback

  globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_ACCEPT_DELEGATION, gss_cred_id_t *credential, gss_OID_setrestriction_oids, gss_buffer_set_trestriction_buffers, OM_uint32time_req)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Accept delegation-at-any-time process.

Parameters:
    credential The delegated GSS credential
    restriction_oids The OIDS for X.509 extensions to embed in the delegated credential
    restriction_buffers The corresponding bodies for the X.509 extensions
    time_req The requested lifetime of the delegated credential

  globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_GSI_REGISTER_ACCEPT_DELEGATION, gss_OID_setrestriction_oids, gss_buffer_set_trestriction_buffers, OM_uint32time_req, globus_xio_gsi_delegation_accept_callback_tcallback, void *callback_arg)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Accept non-blocking delegation-at-any-time process.

Parameters:
    restriction_oids The OIDS for X.509 extensions to embed in the delegated credential
    restriction_buffers The corresponding bodies for the X.509 extensions
    time_req The lifetime of the delegated credential
    callback The callback to call when the operation completes
    callback_arg The arguments to pass to the callback

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_FORCE_SERVER_MODE, globus_bool_tserver_mode)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Force the server mode setting. This explicitly sets the directionality of context establishment and delegation.

Parameters:
    server_mode The server mode.

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_SET_ALLOW_MISSING_SIGNING_POLICY, globus_bool_tallow)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the allow missing signing policy flag.

Parameters:
    allow The flag setting to use

Note:
    Changing this flag changes the req_flags

  globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_GSI_GET_ALLOW_MISSING_SIGNING_POLICY, globus_bool_t *allow)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the allow missing signing policy flag.

Parameters:
    allow The flag currently set

Author

Generated automatically by Doxygen for globus xio gsi driver from the source code.